# loki.tests.test_dimension

Functions

`test_dimension_config`(tmp_path) | Test that `Dimension` objects get created from `SchedulerConfig` correctly.
`test_dimension_index_range`(frontend) | Test that `Dimension` objects match index and range expressions.
`test_dimension_properties`() | Test that `Dimension` objects store the correct strings.
`test_dimension_size`(frontend) | Test that `Dimension` objects match size expressions.

test_dimension_properties()

  Test that `Dimension` objects store the correct strings.

test_dimension_size(frontend)

  Test that `Dimension` objects match size expressions.

test_dimension_index_range(frontend)

  Test that `Dimension` objects match index and range expressions.

test_dimension_config(tmp_path)

  Test that `Dimension` objects get created from `SchedulerConfig` correctly.